| Home | Libraries | People | FAQ | More

## Function template operator<=

boost::interprocess::operator<=

## Synopsis

    // In header: <boost/interprocess/offset_ptr.hpp>

    template<typename T1, typename P1, typename O1, std::size_t A1, typename T2,
             typename P2, typename O2, std::size_t A2>
      bool operator<=(const offset_ptr< T1, P1, O1, A1 > & pt1,
                      const offset_ptr< T2, P2, O2, A2 > & pt2);

## Description

offset_ptr<T1, P1, O1, A1> <= offset_ptr<T2, P2, O2, A2>. Never throws.